VERSION 5.00
Begin VB.Form Form1 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   Caption         =   "Picoscope 2000 Visual Basic Driver"
   ClientHeight    =   4905
   ClientLeft      =   2160
   ClientTop       =   3390
   ClientWidth     =   5145
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4905
   ScaleWidth      =   5145
   Begin VB.ComboBox cboVoltageA 
      Height          =   315
      Left            =   3960
      TabIndex        =   9
      Top             =   3360
      Width           =   975
   End
   Begin VB.CommandButton Stop 
      Caption         =   "Stop Streaming"
      Height          =   495
      Left            =   3720
      TabIndex        =   8
      Top             =   2040
      Width           =   1215
   End
   Begin VB.CommandButton Slow 
      Caption         =   "Start Streaming"
      Height          =   495
      Left            =   3720
      TabIndex        =   7
      Top             =   1440
      Width           =   1215
   End
   Begin VB.CommandButton Close 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Close"
      Height          =   375
      Left            =   3720
      TabIndex        =   6
      Top             =   2760
      Width           =   1215
   End
   Begin VB.ListBox lstMessage 
      Appearance      =   0  'Flat
      Height          =   810
      Left            =   120
      TabIndex        =   3
      Top             =   3840
      Width           =   4815
   End
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   3600
      Top             =   1680
   End
   Begin VB.CommandButton Fast 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Fast"
      Height          =   375
      Left            =   3720
      TabIndex        =   2
      Top             =   960
      Width           =   1215
   End
   Begin VB.CommandButton Open 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Open"
      Height          =   375
      Left            =   3720
      TabIndex        =   1
      Top             =   360
      Width           =   1215
   End
   Begin VB.ListBox lstChannelA 
      Appearance      =   0  'Flat
      Height          =   2760
      Left            =   240
      TabIndex        =   0
      Top             =   600
      Width           =   2655
   End
   Begin VB.Label Label1 
      BackColor       =   &H80000009&
      Caption         =   "Voltage A"
      Height          =   255
      Left            =   3000
      TabIndex        =   10
      Top             =   3360
      Width           =   855
   End
   Begin VB.Label Label6 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Messages"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   3600
      Width           =   975
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Channel A"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   720
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim ps2000_handle As Integer
Dim mv_a As Integer
Dim time_interval As Long
Dim time_units As Integer
Dim oversample As Integer
Dim time_indisposed As Long
Dim slow_collect As Boolean
Dim streaming As Boolean
Dim voltage_range(8) As Integer

Public Sub open_unit()
Dim S As String * 10
Dim i As Integer

lstChannelA.Clear
lstMessage.Clear
lstMessage.AddItem ("Opening PS2000")

ps2000_handle = ps2000_open_unit()
If ps2000_handle > 0 Then
    lstMessage.Clear
    lstMessage.AddItem ("PS2000 opened")
    
    i = ps2000_set_ets(ps2000_handle, 0, 0, 0)
    Call Channel_select_Click

Else
    lstMessage.Clear
    lstMessage.AddItem ("Unable to open")
End If


End Sub

Private Sub Channel_select_Click()
  
  Call ps2000_set_channel(ps2000_handle, 0, 1, 0, cboVoltageA.ListIndex + 3)
  
End Sub

Private Sub Close_Click()
If (ps2000_handle > 0) Then
  ps2000_stop (ps2000_handle)
  Call ps2000_close_unit(ps2000_handle)
  lstMessage.Clear
  lstMessage.AddItem ("PS2000 closed")
  ps2000_handle = 0
Else
    Call ps2000_close_unit(ps2000_handle)
  lstMessage.Clear
  lstMessage.AddItem ("PS2000 Not Opened")
End If

End Sub

Private Sub Form_Unload(Cancel As Integer)
   Call ps2000_close_unit(ps2000_handle)
End Sub

Private Sub Stop_Click()
  slow_collect = False
  ps2000_stop (ps2000_handle)
  Slow.enabled = True
End Sub


Private Sub Fast_Click()

Dim running As Integer
Dim ready As Integer
ReDim Values_a(200000) As Integer
ReDim Values_b(200000) As Integer
ReDim Values_c(200000) As Integer
ReDim Values_d(200000) As Integer
Dim volts_a As Integer
Dim no_of_values As Integer
Dim i As Integer
Dim timebase As Integer
Dim no_of_samples As Integer
Dim max_samples As Long
Dim overflow As Integer
Dim ok As Integer
'Dim max_samples As Long

Call Stop_Click

If ps2000_handle Then

   no_of_values = 1024
   timebase = 13
   
   Call Channel_select_Click
   Call ps2000_set_ets(ps2000_handle, 0, 0, 0)
   ok = ps2000_get_timebase(ps2000_handle, timebase, no_of_values, time_interval, time_units, oversample, max_samples)
   ok = ps2000_set_trigger(ps2000_handle, 5, 0, 0, 0, 0)
   If ok = 0 Then
       MsgBox ("No valid data to funktion set_trigger")
   End If
   lstChannelA.Clear
   ok = ps2000_run_block(ps2000_handle, no_of_values, timebase, oversample, time_indisposed)

   If ok > 0 Then

     Do
       ready = ps2000_ready(ps2000_handle)
       If ready Then
          Exit Do
       End If
     Loop
     Call ps2000_stop(ps2000_handle)

     ok = ps2000_get_values(ps2000_handle, Values_a(0), Values_b(0), Values_c(0), Values_d(0), overflow, 100)
     mv_a = voltage_range(cboVoltageA.ListIndex)
     For i = 0 To 99
       volts_a = (Values_a(i) / 32767) * (mv_a)
       lstChannelA.AddItem (volts_a & " mV")
     Next i
   Else
     lstMessage.Clear
     lstMessage.AddItem ("Error running PS2000!")
 End If
Else
   lstMessage.Clear
   lstMessage.AddItem ("Error running PS2000!")
End If

End Sub

Private Sub Form_Load()

voltage_range(0) = 100
voltage_range(1) = 200
voltage_range(2) = 500
voltage_range(3) = 1000
voltage_range(4) = 2000
voltage_range(5) = 5000
voltage_range(6) = 10000
voltage_range(7) = 20000

'Channel
cboVoltageA.AddItem "100mV", 0
cboVoltageA.AddItem "200mV", 1
cboVoltageA.AddItem "500mv", 2
cboVoltageA.AddItem "1V", 3
cboVoltageA.AddItem "2V", 4
cboVoltageA.AddItem "5V", 5
cboVoltageA.AddItem "10V", 6
cboVoltageA.AddItem "20V", 7
cboVoltageA.ListIndex = 7

streaming = False

End Sub

Private Sub Open_Click()

Call open_unit

End Sub

Private Sub Slow_Click()

Dim ok As Integer
If ps2000_handle Then
    Slow.enabled = False
    slow_collect = True
    lstChannelA.Clear
    streaming = False
End If
End Sub

Private Sub Timer1_Timer()
Dim ok As Integer
Dim overflow As Integer
ReDim Values(1) As Integer
Dim no_of_values As Integer
Dim volts_a As Integer
Dim volts_b As Integer
ReDim Values_a(1024) As Integer
ReDim times(1024) As Long
Dim ready As Integer

If slow_collect Then
  no_of_values = 100
  If Not streaming Then
     Call ps2000_set_ets(ps2000_handle, 0, 0, 0)
     Call Channel_select_Click
     ok = ps2000_set_trigger(ps2000_handle, 0, 0, 1, 0, 0)
     If ok = 0 Then
       MsgBox ("No valid data to funktion set_trigger")
     End If
     ok = ps2000_run_streaming(ps2000_handle, 10, no_of_values, 0)
     streaming = True
  End If
   ' turn triggering off.
   no_of_values = ps2000_get_values(ps2000_handle, Values_a(0), 0, 0, 0, overflow, no_of_values)
   mv_a = voltage_range(cboVoltageA.ListIndex)
   For i = 0 To no_of_values - 1 Step 1
     volts_a = (Values_a(i) / 32767) * mv_a
     lstChannelA.AddItem (volts_a & Chr(9) & "mV")
   Next i
End If

End Sub


